#pragma once
#include "P15File.h"
#include "PrivateKeyObject.h"

class CP15PrKDF :
	public CP15File
{
public:
	CP15PrKDF(void);
	~CP15PrKDF(void);
	
	// Método para codificar una cadena de bytes y convertirla a formato ASN1
	int EncodeASN1( CPKCS11Object *pObj11 );
	int EncodeASN1( CPKCS11Object *pObj11, byteBuffer & efEncoded );

	// Método para pasar las claves privadas a P11
	int DecodeObject(byteBuffer & prkdfEntry);
};
